User account creation filtered due to spam.

Bug 9267 - bison 1.875 doesn't like reduce/reduce errors with %expect N
Summary: bison 1.875 doesn't like reduce/reduce errors with %expect N
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: objc (show other bugs)
Version: 3.4.0
: P3 normal
Target Milestone: 3.1.x/3.2.x
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-10 15:16 UTC by Raja Harinath
Modified: 2004-04-21 02:06 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raja Harinath 2003-01-10 15:16:00 UTC
bison 1.875 exits on compiling objc-parse.y complaining that there are reduce/reduce conflicts where none were expected.

This is a recent change, but it is an extension of the behaviour documented in the Bison 1.28 info documentation.  According to the Bison 1.28 documentation, 

     %expect N

   Here N is a decimal integer.  The declaration says there 
   should be no warning if there are N shift/reduce 
   conflicts and no reduce/reduce conflicts.  The usual 
   warning is given if there are either more or fewer 
   conflicts, or if there are any reduce/reduce conflicts.

Bison 1.875 has converted the warning to an error in those exceptional cirumstances.

%expect was misused in objc-parse.y.  Removing it should not result in more warnings than already there, and also prevents errors when using a newer bison.

Release:
gcc-3.4

Environment:
i686-pc-linux-gnu
bison 1.875
Comment 1 Gabriel Dos Reis 2003-01-28 02:00:21 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Applied suggested patch on 3.2.2, 3.3 and 3.4 (mainline).